## osm2go 0.6.13-maemo1

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of OSM2Go.
#
# OSM2Go is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OSM2Go is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions


-include version.mk

tarball: distclean
	sh mktarball.sh "$(VERSION_PREFIX)$(TRUNK_VERSION)$(VERSION_SUFFIX)"


FORCE:

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of OSM2Go.
#
# OSM2Go is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OSM2Go is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
#

APP = osm2go
PREFIX ?= /usr/local

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0 libgnome-2.0

OBJS = main.o map.o osm.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o relation_edit.o misc.o map_edit.o \
	josm_elemstyles.o style.o net_io.o banner.o undo.o

DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"$(PREFIX)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

clean:
	rm -f osm2go *.o *~ */*~ \#*\# version.h *.bak

install: $(APP)
	install $(APP) $(DESTDIR)$(PREFIX)/bin

-include ../version.mk

dep: version.h
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
area_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
area_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
area_edit.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
area_edit.o: net_io.h banner.h
banner.o: banner.h appdata.h version.h pos.h osm.h canvas.h undo.h map.h
banner.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
banner.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
banner.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
banner.o: net_io.h
canvas_gnomecanvas.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h
canvas_gnomecanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_gnomecanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_gnomecanvas.o: wms.h josm_presets.h relation_edit.h misc.h map_edit.h
canvas_gnomecanvas.o: josm_elemstyles.h style.h net_io.h banner.h
canvas_goocanvas.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h
canvas_goocanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_goocanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_goocanvas.o: wms.h josm_presets.h relation_edit.h misc.h map_edit.h
canvas_goocanvas.o: josm_elemstyles.h style.h net_io.h banner.h
dbus.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
dbus.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
dbus.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
dbus.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
dbus.o: banner.h
diff.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
diff.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
diff.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
diff.o: banner.h
gps.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
gps.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
gps.o: banner.h
icon.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
icon.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
icon.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
icon.o: banner.h
iconbar.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
iconbar.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
iconbar.o: net_io.h banner.h
info.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
info.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
info.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
info.o: banner.h
josm_elemstyles.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h
josm_elemstyles.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
josm_elemstyles.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
josm_elemstyles.o: wms.h josm_presets.h relation_edit.h misc.h map_edit.h
josm_elemstyles.o: josm_elemstyles.h style.h net_io.h banner.h
josm_presets.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h
josm_presets.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
josm_presets.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h wms.h
josm_presets.o: josm_presets.h relation_edit.h misc.h map_edit.h
josm_presets.o: josm_elemstyles.h style.h net_io.h banner.h
main.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
main.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
main.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
main.o: banner.h
map.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
map.o: banner.h
map_edit.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
map_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_edit.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
map_edit.o: net_io.h banner.h
map_hl.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map_hl.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_hl.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
map_hl.o: net_io.h banner.h
misc.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
misc.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
misc.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
misc.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
misc.o: banner.h
net_io.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
net_io.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
net_io.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
net_io.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
net_io.o: net_io.h banner.h
osm.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
osm.o: banner.h
osm_api.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm_api.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
osm_api.o: net_io.h banner.h
pos.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
pos.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
pos.o: banner.h
project.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
project.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
project.o: net_io.h banner.h
relation_edit.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h
relation_edit.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
relation_edit.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
relation_edit.o: wms.h josm_presets.h relation_edit.h misc.h map_edit.h
relation_edit.o: josm_elemstyles.h style.h net_io.h banner.h
settings.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
settings.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
settings.o: net_io.h banner.h
statusbar.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
statusbar.o: net_io.h banner.h
style.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
style.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
style.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
style.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
style.o: banner.h
track.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
track.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
track.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
track.o: banner.h
undo.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
undo.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
undo.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
undo.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
undo.o: banner.h
wms.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
wms.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
wms.o: banner.h

=== debian/changelog ===
osm2go (0.6.13-maemo1) unstable; urgency=low

  * New trunk release.
  * Make lintian-clean, add manpage.
  * Update from trunk.
  * Parse build-specific version prefixes and suffixes from this file.
  * Update build-deps.

 -- Andrew Chadwick <andrewc@piffle.org>  Mon, 16 Feb 2009 21:00:42 +0000

osm2go (0.6.12-maemo1) unstable; urgency=low

  * Merge trunk, and begin building in the new way.
  * Version prefix/suffix parser merged from branches/ports/debian.

 -- Andrew Chadwick <andrewc@piffle.org>  Sun, 08 Feb 2009 22:34:12 +0000

osm2go (0.6-11) unstable; urgency=low

  * New presets.xml
  * Handling of <optional> element <andrewc@piffle.org>
  * Handling of new <link> element
  * Handling of mew <space> element

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100

osm2go (0.6-10) unstable; urgency=low

  * Use hash tables to find nodes and ways faster via their ids
  * Some minor gtk handling/warning fixes
	
 -- Till Harbaum <till@harbaum.org>  Wed, 21 Jan 2009 19:24:22 +0100

=== debian/control ===
Source: osm2go
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev
Standards-Version: 3.7.2

Package: osm2go
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, libgoocanvas3
Description: Mobile OpenStreeMap Editor
 Edit openstreetmap.org map data on the road.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
 cUlEQVRYw8WYeVRW5dqHr3e/8wAyDwKCDAoik6Ii4ZgeTTM1LS0r03MsLE0t83TK
 Y+nJ75gcU8wpnEsjR0wLtDLBFERicgBUFJkFRXiBF17eYe/vD7B1ln7n+9ZZ61vr
 /P757Wevve/nvta+n/3ce8voVlS3yT7sdmkW/y+SNfXEi+s5cavHB3abYVC3Bxl6
 xrXd/sCz2yuOd7ulJw4HeuLe74m79IkZu00e7nHU+yPXgz8Faz/V7dJ8dMdUw93V
 9fvOT7cX2RPF0RfSuq+r1Ha7/VTPfe09CUUplihs8rKRhR5/Cljeyz7GN+yrQe/0
 fSuuzeL78KjMp7I+9+H5zqKEC794RntGenvHfB/hH+Ef4T/usBdeeKGxKrOV2cps
 6BzeObxzOFS5VblVuTUFFFuKLcWWs+7eo/qsdE0NLCs7dq3oTuPWLeJw+w1xy77X
 /wUQhK6L2B0U/235j5uLE/crZwXVzqvq03ALik4d/PhHd+m9i8FV7g2NleUl2uJ7
 tzaWVIWfjt4W8sHAinj1mOTBZr/8yAdxO0PGy4JqD4sfXEuC0FedTcOegd0Lk95O
 2w2dve6vU8wFaQ7TpNXQfKBN06iDmvdqcusWg9N8lwL9NNCd0Z3T3QZ+tCUqnwP/
 ob4Rga9D/Wv3NtX5wncbvms7GXz4Rqdrx186M2ft7kk/6QkgpY/ynGJxotelMZXG
 43nb673maE+pDoL8SL1r0ymwrg77LGAIWJZ1pVhHgmyOECzuhOJv7z99MQnqNK0X
 K1QQONexIfwMnNjwj68L14HbBN0Y/0C4urRkccELMDR2jHlIKkyc8VyvMZehbH15
 +q0pYCnSbaveAda3OgLtA8Brst4joA4y/U83596F6qSSmOa94DXVs773RXFFypcp
 X6Z8+dYaS4mlxFLypfYRh/DowFprHWP7ItM97x8XHa8sJl560/HvholArPibOBMU
 SXdD67eAYBGmyC6B4CIbrtgG0VmeQQmjQDZLNkf2FRx4sCs2LQQ8CxzyA7+GwsXX
 xLyl8Mc5ywufPwejikeNGX0c3P/s+HePDdC7o/d5p1mg1wlXXdaAs1y3y10B8mjF
 eiEVJr43fceIrZDw05RJ4Z5wP7hJ3eAsrJ8dMztmdsymjwgiiKBIryeAulWuyHY8
 V1GQXp0rXRTcZfvAOiX8bGAlyFYaj5gqQdGhXKR4F8Q00STdAvEFe559Nahft36q
 TwZr8q1V7s9D+aGKF24mweB1Uzf5bAT52w5p4kHQ7jO4cQoMHqqRblngMkEveF0G
 ryi9EPAc6D9U9er1DaDDCy0oxyrzlR9AoLLfs34FMLbPjOpoR/D7yS/fL1WzIWB8
 wPiA8Wt0PQATHgOyFV67UDD/5qmr1ZZlXcess0HUtxxpnwGSSfOWMgNI4RtWg81s
 nW1JBXmZbI9iBdyNzRtr3A5DXot6Kn4Y1BVYd5WcgIfbJV11KVyKrXzzzHC4dP9W
 5k/RUORT1/6LGkriqz67/gco8qmmQAstsS2CXQ4tm5r72QuhbXdbvqwDOl06ys0G
 CEuPlAf5Q+74vKCc12BcxriMcRmT6rrzdy9/DEhuH7gkpjhkz8CJqlT1h0oBVFEl
 cytU0NHa92rvV8G8rqPVvBEsay2Rtp/BWmf90uYP9a634tpeAbLJ5hL4Z8e297oO
 qk3ajxX9wf609AflHagubVtaPwTKPbrEi8VwJ9zY/9JGMPdzCSpXglqhW9uxH1TJ
 6tvCXmh1Mt7r9ADDOIcifRaoJ2vi1VMhLz036rcJDwaEGcIMYQZlJ8tZzvLYFY8B
 BY0fbhzdMWiR30nF8du/1m4GMXGgPdAfVC6qFuWfQfmRar/CC7R5+uPaNrCXSmO6
 5NDZ3L6j10tgfL81wzgeVA81G+VbwF5ge0OcCa2nmrcu9YaqUbfGvZgATbWtrz5Y
 AV1HzFe6loOXt3ZEwFqwT7b9TSoEyV2MEH6A4Bn9/+7kCRYXywDrPchad6YiVymt
 NS436lvv/DLMkG3INmSD8InwifCJ94jfgRSLFCb5tVG/xbo8NTtCKQtgjkqu3AHy
 VQ2yhwOAP9FL8gJWS/2lfiAKduyBIJspbBOCgEqlf50nGA7q1xnOgNNJ2U2fOSD3
 UazUxEPL/HtHrYdBvlTh5tkXujxaPg2PBWuE/OUOM1QfqflDtQsYrPq7Bk/Qe+vH
 yZRQo6882PwmaNy0/dQOcLo5rTlrea1WfkB+QH6gcoEqXZWuSgc88MCjS6l4BNRX
 DBH83h3t5nHT82fno2DpiwUjCGFNTsZUkG/KfaVkMAiJ/rHeBujYbaiVh0DTDmtU
 XTr0nuL5urcSAif3HR4oweUNv+TWvwW9P4+IHyxCwsbo18x5cO182brGDeA4VHhl
 Wig4pap3yLaCdbHuSOsRaNvdvr3tMLDO/p12D/SqdD7pMAUeTGtQNURCyaor9eVx
 uWN763pX974d2qd9VPuo9lFIolk0i+YbdYpHLUpU4pCOsJ/i3OwviS+LM0G+TDgr
 DATWe5a4zgBZageWArCWP9jbfALUxc5ZPgbwO6z5IcQZJsZPnqFZCAWyDLfKUBDe
 NNZU5sGkd+JuRS0D7QLdqAdJoNyjerP5JsgDNWdqy8APh8v+v8LDxAcmowzUV9UN
 DpPAtt2aKu4C8+EOZdsZMA1rCzOFQOOMupSmQbXJ887Mk+admX8p+5vsb7K/qZuC
 iIhYHC886rXqhdoXG+sq9wrjhBXyTLC8YtHYNoE5peOmeQ1Ynq852bAXOhz9Qj2U
 YDeZhK5TYD9m3ySuh4CWYMn3ONwsq5p25RxEdoY9P2gepNuOzc/sB7KZskRZOKi+
 7vTsbIOQqx4bvGugsaZe13QPnHydbQ6roHZo1Yr7b0FdbtX4uy9Ce5/WLaZD0NVh
 brIooM8ef2ffsNfORauj1dFqQ+nJ3id7n+y9tblnN53+qORuFR+6vKU0JTOuc7yp
 rfPSGAxTewmGvSAdl0aIjqD00+xVhYPFXKd7UA8OoxvVxlXQWtExUWqE8nE6q4cP
 iLulets4sKqsh6x3oOnpuxaLEnI8Mp8uzALHZKdQvRNUDLi5rPoe1HxcWX5vFJiX
 d/7V8gEYRzfPNv4ATp87T9IsA+mYFCy9B6U3i/LvbIHnfpziOO0Np7spoSn6lMHF
 35jiTfGm+E3zejh2yR+tIUuF5Yz1hvRxTFXc28M+mKfrKwS1u/mBMEH+puI62FZ7
 2pyvgmxxw42HwVA8oSW36SBcTj9XdiEETp8+0pabAg5z3U769Qe3na5ObqngGuzi
 7ToIKraUBtzbD8XhBRHXZOD0fGVm7Wtgd9AJ2mmgHeu0TT8DGlvu9WkdCXWXq27X
 LoOsLT/Yi54B9xgHd79XINvvotOFEVJykV+xb7HHxKFYsGCpGfpkp1BNOfUFs64m
 F4Rfeb8tq/W99pHCeLCfsDpb/UBA8Rf5TLjx5wa3srlw2Jz82Ya+kPl17vBf3wV9
 gq6ztBgCxvrMdk0CRY4iR5EDv4VeCbpUCG2rusSmwRCY7/NzWBU0yPWJQYVw7Z2C
 DU21cGZb6kv5MqjMLj7TEA/69fay3v7gfcptid9o6Nr8MO2OCt4PeHVAQq5sCbGM
 ZaDvjce77cf2ofZf8o9czCqclD9AMV1hkH0Lxs9bNfJYKL6UMftUJxwo3eC3Sw/N
 QW23ZApQzpTv5AUwB3caTaOhVMip2q+BKy+XGC4UwqIFH1e+EQtJhe8vmG6D6KqE
 2b77QPyrblVbMMjrZHcZCK43H+5u2gOO5bK7HZUg7XAYazTDrDmLGhNehw+T93Wu
 WA0xr/4xb0opuKx2z3JyGGV+HEjx2HiVbrDhVe1FwxjNWfVa+9tcuxN5YfD3JXCo
 KjlnXxoYC01GmQ20CapYKQM0A5XTxArQ+Kl+lnJAfVbY0hIEunfdrcpq8G/3N+sz
 QRhx/afG6xD1/cj0wXcgIXzyp7GuICyRHcUBhFprjK0BpM0KF/lVsPeRasT3gfEc
 RQv2U/ZtkgqsNbZkMRUslV3R1pz2ECDrfwFyzYlTjRwftSciqizlXGH6TDh0dfPC
 /Z3QEmAyykaD9qnfQZ4XK0AT2Q2i0SqTpTQQt0n/YAL45gYN98oAhU4qlDaCaqQU
 IdlA5aOKV0WAapV6gGw9COnCZYLAHCFG2D8Au6NtkU0Juu2GHbpgkCELllX1pLcS
 ikbkfVfigak9pvWCKTQzEgD7/wR0mFP8NW664wjbgLrT6oWplZtKfnWHFvf2AQSC
 Nk41WMoATZTy2R6QH3tAvpDSQCqV1ESB8InP2vjTMDlj7twZ90EaI11lGJjCQzwD
 RoBt55X5lUNBmD9yeUAriN+J5+0zQbgmz5FbQT1X26o5B1KGmCHuBukzyVOKBfTU
 YIbsWb905Re1rcKOHXuB+xMlJwviOgHEjPwqMktdMCmgUHF2Z1YbtAZ2bBQCQROp
 ipROgyZKOV2sAE2MKqsHZKt0HKR8SUYMGHYa+oQmQKJiztJp74Dp+q8Rt3eDLV4s
 FN8A3QLdEmUQeBXortivQNdm+xZ7LUiZ0nQpCKQO6aTUCKJkS7SNBPn7iksKI3BN
 FieLAlppph1yR5w3FW/N/wLIgXbrE0DxU8PvqlZOCPE/7O2iD1q4trm/aZOQxDPa
 Ib+XVjdIvCpXygaNXrlbOgbSDqmcBNB9HpwVPwcSY2fcnroYxGuDOvo5QPv6e2se
 fgVuL3hucOkC5VOqNMX30CXYbfZawCgZJSMI14R2QQTpDVFjbQf5Cg3qKuAZ4vgn
 EOOm5mNt/wWFJZdvlyScO4AXcIQnfuYoHH/QfyrfNcSrXWX+SHhbduifQJ7pKa3z
 PU9kp3QMpHVSIU+BKcBQEdoKwUciZgweKLmverD53aMLa5xz/lZcXX7815jyZ8sW
 V87L9naqca5yeDdg3uCn4prCM0Z/H3/w6c2xDJwZt3Lky9ELNf2DY0Pf9o+Frq+6
 vrWFwJUFBSnFlzFdiswcVLi9bVWOS6ZTYWr+F49ATF5t+zuO7LnNv5DMv9TzsmJN
 oGrs2EFbHIZdPGyPFh1lfl5TNT6qs1IxaLTKdVIaSCekJmIRfxPL02Th511z71x/
 pSX3QIioFmdJa873fAKX99S0fc+/mK9fz8tnLaN5jrg40eWIe6NT0CizZVfXPUtS
 e0j7ytbqDr/MyJ418kXPdvIX/l319fV2VU2JSJoTPz7N5VB98uLh02uc1kjSorzp
 C5y2SNLIEzGlro0nl2iq1DHyuZrP/u0J/lPyPuH6UHUs1Hf49oF2p7A96VGykA29
 utbs1RxXq+XPqvf+p/P7v/TfVs+/lG9FkggAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

-include version.mk

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	VERSION_PREFIX=`debian/parse-changelog prefix $(TRUNK_VERSION)`  \
	  VERSION_SUFFIX=`debian/parse-changelog suffix $(TRUNK_VERSION)`  \
	  $(MAKE) -f Makefile.maemo
	#docbook-to-man debian/osm2go.sgml > osm2go.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osm2go.
	$(MAKE) -f Makefile.maemo DESTDIR=$(CURDIR)/debian/osm2go install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## osm2go 0.6.14-test-maemo1

=== src/Makefile ===
--- 
+++ 
@@ -19,19 +19,17 @@
 
 APP = osm2go
 PREFIX ?= /usr/local
-
-PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
-	gnome-vfs-module-2.0 libgnome-2.0
+EXTRA_OBJS = dbus.o
 
 OBJS = main.o map.o osm.o osm_api.o wms.o \
 	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
 	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
 	area_edit.o josm_presets.o relation_edit.o misc.o map_edit.o \
-	josm_elemstyles.o style.o net_io.o banner.o undo.o
+	josm_elemstyles.o style.o net_io.o banner.o undo.o $(EXTRA_OBJS)
 
-DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"$(PREFIX)\" -DUSE_GOOCANVAS
-CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
-LDFLAGS = `pkg-config --libs $(PKGS)`
+DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"/usr/local\"
+CFLAGS = -Wall $(DEFS) -g -O2   -DUSE_GOOCANVAS -DMAEMO_CHANGES -I/usr/include/goocanvas-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2    -DUSE_HILDON -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DMAEMO_VERSION=\"5.0-alpha\" -DMAEMO_VERSION_MAJOR=5
+LDFLAGS =  -lcurl -ldl -lssl -lcrypto -lz   -lgoocanvas -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
 
 all: $(APP)
 
@@ -45,6 +43,7 @@
 	rm -f osm2go *.o *~ */*~ \#*\# version.h *.bak
 
 install: $(APP)
+	install -d $(DESTDIR)$(PREFIX)/bin
 	install $(APP) $(DESTDIR)$(PREFIX)/bin
 
 -include ../version.mk
@@ -184,18 +183,3 @@
 style.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
 style.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
 style.o: banner.h
-track.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-track.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-track.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-track.o: banner.h
-undo.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-undo.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-undo.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-undo.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-undo.o: banner.h
-wms.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-wms.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-wms.o: banner.h

=== debian/changelog ===
osm2go (0.6.14-test-maemo1) unstable; urgency=low

  * Fremantle compile test

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev
+Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev, liblocation-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5)
 Standards-Version: 3.7.2
 
 Package: osm2go
@@ -10,7 +10,17 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, libgoocanvas3
 Description: Mobile OpenStreeMap Editor
- Edit openstreetmap.org map data on the road.
+ OSM2Go is a lightweight editor for OpenStreetMap intended for mobile
+ devices and small screens.
+ .
+ This mapping tool is particularly suited for small-screen portable
+ systems such as subnotebooks, handheld devices and netbooks which do
+ not have a network connection at all times.
+ .
+ OSM2Go features a tagging presets system, background satellite/WMS
+ layers, and gpsd integration. It was originally designed for the Maemo
+ mobile Linux platform, and so is lightweight and sports a simple,
+ speedy interface to map editing.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
  vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP

=== src/trunk/debian/control ===
Source: osm2go
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5)
Standards-Version: 3.7.2

Package: osm2go
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, libgoocanvas3
Description: Mobile OpenStreeMap Editor
 Edit openstreetmap.org map data on the road.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
 cUlEQVRYw8WYeVRW5dqHr3e/8wAyDwKCDAoik6Ii4ZgeTTM1LS0r03MsLE0t83TK
 Y+nJ75gcU8wpnEsjR0wLtDLBFERicgBUFJkFRXiBF17eYe/vD7B1ln7n+9ZZ61vr
 /P757Wevve/nvta+n/3ce8voVlS3yT7sdmkW/y+SNfXEi+s5cavHB3abYVC3Bxl6
 xrXd/sCz2yuOd7ulJw4HeuLe74m79IkZu00e7nHU+yPXgz8Faz/V7dJ8dMdUw93V
 9fvOT7cX2RPF0RfSuq+r1Ha7/VTPfe09CUUplihs8rKRhR5/Cljeyz7GN+yrQe/0
 fSuuzeL78KjMp7I+9+H5zqKEC794RntGenvHfB/hH+Ef4T/usBdeeKGxKrOV2cps
 6BzeObxzOFS5VblVuTUFFFuKLcWWs+7eo/qsdE0NLCs7dq3oTuPWLeJw+w1xy77X
 /wUQhK6L2B0U/235j5uLE/crZwXVzqvq03ALik4d/PhHd+m9i8FV7g2NleUl2uJ7
 tzaWVIWfjt4W8sHAinj1mOTBZr/8yAdxO0PGy4JqD4sfXEuC0FedTcOegd0Lk95O
 2w2dve6vU8wFaQ7TpNXQfKBN06iDmvdqcusWg9N8lwL9NNCd0Z3T3QZ+tCUqnwP/
 ob4Rga9D/Wv3NtX5wncbvms7GXz4Rqdrx186M2ft7kk/6QkgpY/ynGJxotelMZXG
 43nb673maE+pDoL8SL1r0ymwrg77LGAIWJZ1pVhHgmyOECzuhOJv7z99MQnqNK0X
 K1QQONexIfwMnNjwj68L14HbBN0Y/0C4urRkccELMDR2jHlIKkyc8VyvMZehbH15
 +q0pYCnSbaveAda3OgLtA8Brst4joA4y/U83596F6qSSmOa94DXVs773RXFFypcp
 X6Z8+dYaS4mlxFLypfYRh/DowFprHWP7ItM97x8XHa8sJl560/HvholArPibOBMU
 SXdD67eAYBGmyC6B4CIbrtgG0VmeQQmjQDZLNkf2FRx4sCs2LQQ8CxzyA7+GwsXX
 xLyl8Mc5ywufPwejikeNGX0c3P/s+HePDdC7o/d5p1mg1wlXXdaAs1y3y10B8mjF
 eiEVJr43fceIrZDw05RJ4Z5wP7hJ3eAsrJ8dMztmdsymjwgiiKBIryeAulWuyHY8
 V1GQXp0rXRTcZfvAOiX8bGAlyFYaj5gqQdGhXKR4F8Q00STdAvEFe559Nahft36q
 TwZr8q1V7s9D+aGKF24mweB1Uzf5bAT52w5p4kHQ7jO4cQoMHqqRblngMkEveF0G
 ryi9EPAc6D9U9er1DaDDCy0oxyrzlR9AoLLfs34FMLbPjOpoR/D7yS/fL1WzIWB8
 wPiA8Wt0PQATHgOyFV67UDD/5qmr1ZZlXcess0HUtxxpnwGSSfOWMgNI4RtWg81s
 nW1JBXmZbI9iBdyNzRtr3A5DXot6Kn4Y1BVYd5WcgIfbJV11KVyKrXzzzHC4dP9W
 5k/RUORT1/6LGkriqz67/gco8qmmQAstsS2CXQ4tm5r72QuhbXdbvqwDOl06ys0G
 CEuPlAf5Q+74vKCc12BcxriMcRmT6rrzdy9/DEhuH7gkpjhkz8CJqlT1h0oBVFEl
 cytU0NHa92rvV8G8rqPVvBEsay2Rtp/BWmf90uYP9a634tpeAbLJ5hL4Z8e297oO
 qk3ajxX9wf609AflHagubVtaPwTKPbrEi8VwJ9zY/9JGMPdzCSpXglqhW9uxH1TJ
 6tvCXmh1Mt7r9ADDOIcifRaoJ2vi1VMhLz036rcJDwaEGcIMYQZlJ8tZzvLYFY8B
 BY0fbhzdMWiR30nF8du/1m4GMXGgPdAfVC6qFuWfQfmRar/CC7R5+uPaNrCXSmO6
 5NDZ3L6j10tgfL81wzgeVA81G+VbwF5ge0OcCa2nmrcu9YaqUbfGvZgATbWtrz5Y
 AV1HzFe6loOXt3ZEwFqwT7b9TSoEyV2MEH6A4Bn9/+7kCRYXywDrPchad6YiVymt
 NS436lvv/DLMkG3INmSD8InwifCJ94jfgRSLFCb5tVG/xbo8NTtCKQtgjkqu3AHy
 VQ2yhwOAP9FL8gJWS/2lfiAKduyBIJspbBOCgEqlf50nGA7q1xnOgNNJ2U2fOSD3
 UazUxEPL/HtHrYdBvlTh5tkXujxaPg2PBWuE/OUOM1QfqflDtQsYrPq7Bk/Qe+vH
 yZRQo6882PwmaNy0/dQOcLo5rTlrea1WfkB+QH6gcoEqXZWuSgc88MCjS6l4BNRX
 DBH83h3t5nHT82fno2DpiwUjCGFNTsZUkG/KfaVkMAiJ/rHeBujYbaiVh0DTDmtU
 XTr0nuL5urcSAif3HR4oweUNv+TWvwW9P4+IHyxCwsbo18x5cO182brGDeA4VHhl
 Wig4pap3yLaCdbHuSOsRaNvdvr3tMLDO/p12D/SqdD7pMAUeTGtQNURCyaor9eVx
 uWN763pX974d2qd9VPuo9lFIolk0i+YbdYpHLUpU4pCOsJ/i3OwviS+LM0G+TDgr
 DATWe5a4zgBZageWArCWP9jbfALUxc5ZPgbwO6z5IcQZJsZPnqFZCAWyDLfKUBDe
 NNZU5sGkd+JuRS0D7QLdqAdJoNyjerP5JsgDNWdqy8APh8v+v8LDxAcmowzUV9UN
 DpPAtt2aKu4C8+EOZdsZMA1rCzOFQOOMupSmQbXJ887Mk+admX8p+5vsb7K/qZuC
 iIhYHC886rXqhdoXG+sq9wrjhBXyTLC8YtHYNoE5peOmeQ1Ynq852bAXOhz9Qj2U
 YDeZhK5TYD9m3ySuh4CWYMn3ONwsq5p25RxEdoY9P2gepNuOzc/sB7KZskRZOKi+
 7vTsbIOQqx4bvGugsaZe13QPnHydbQ6roHZo1Yr7b0FdbtX4uy9Ce5/WLaZD0NVh
 brIooM8ef2ffsNfORauj1dFqQ+nJ3id7n+y9tblnN53+qORuFR+6vKU0JTOuc7yp
 rfPSGAxTewmGvSAdl0aIjqD00+xVhYPFXKd7UA8OoxvVxlXQWtExUWqE8nE6q4cP
 iLulets4sKqsh6x3oOnpuxaLEnI8Mp8uzALHZKdQvRNUDLi5rPoe1HxcWX5vFJiX
 d/7V8gEYRzfPNv4ATp87T9IsA+mYFCy9B6U3i/LvbIHnfpziOO0Np7spoSn6lMHF
 35jiTfGm+E3zejh2yR+tIUuF5Yz1hvRxTFXc28M+mKfrKwS1u/mBMEH+puI62FZ7
 2pyvgmxxw42HwVA8oSW36SBcTj9XdiEETp8+0pabAg5z3U769Qe3na5ObqngGuzi
 7ToIKraUBtzbD8XhBRHXZOD0fGVm7Wtgd9AJ2mmgHeu0TT8DGlvu9WkdCXWXq27X
 LoOsLT/Yi54B9xgHd79XINvvotOFEVJykV+xb7HHxKFYsGCpGfpkp1BNOfUFs64m
 F4Rfeb8tq/W99pHCeLCfsDpb/UBA8Rf5TLjx5wa3srlw2Jz82Ya+kPl17vBf3wV9
 gq6ztBgCxvrMdk0CRY4iR5EDv4VeCbpUCG2rusSmwRCY7/NzWBU0yPWJQYVw7Z2C
 DU21cGZb6kv5MqjMLj7TEA/69fay3v7gfcptid9o6Nr8MO2OCt4PeHVAQq5sCbGM
 ZaDvjce77cf2ofZf8o9czCqclD9AMV1hkH0Lxs9bNfJYKL6UMftUJxwo3eC3Sw/N
 QW23ZApQzpTv5AUwB3caTaOhVMip2q+BKy+XGC4UwqIFH1e+EQtJhe8vmG6D6KqE
 2b77QPyrblVbMMjrZHcZCK43H+5u2gOO5bK7HZUg7XAYazTDrDmLGhNehw+T93Wu
 WA0xr/4xb0opuKx2z3JyGGV+HEjx2HiVbrDhVe1FwxjNWfVa+9tcuxN5YfD3JXCo
 KjlnXxoYC01GmQ20CapYKQM0A5XTxArQ+Kl+lnJAfVbY0hIEunfdrcpq8G/3N+sz
 QRhx/afG6xD1/cj0wXcgIXzyp7GuICyRHcUBhFprjK0BpM0KF/lVsPeRasT3gfEc
 RQv2U/ZtkgqsNbZkMRUslV3R1pz2ECDrfwFyzYlTjRwftSciqizlXGH6TDh0dfPC
 /Z3QEmAyykaD9qnfQZ4XK0AT2Q2i0SqTpTQQt0n/YAL45gYN98oAhU4qlDaCaqQU
 IdlA5aOKV0WAapV6gGw9COnCZYLAHCFG2D8Au6NtkU0Juu2GHbpgkCELllX1pLcS
 ikbkfVfigak9pvWCKTQzEgD7/wR0mFP8NW664wjbgLrT6oWplZtKfnWHFvf2AQSC
 Nk41WMoATZTy2R6QH3tAvpDSQCqV1ESB8InP2vjTMDlj7twZ90EaI11lGJjCQzwD
 RoBt55X5lUNBmD9yeUAriN+J5+0zQbgmz5FbQT1X26o5B1KGmCHuBukzyVOKBfTU
 YIbsWb905Re1rcKOHXuB+xMlJwviOgHEjPwqMktdMCmgUHF2Z1YbtAZ2bBQCQROp
 ipROgyZKOV2sAE2MKqsHZKt0HKR8SUYMGHYa+oQmQKJiztJp74Dp+q8Rt3eDLV4s
 FN8A3QLdEmUQeBXortivQNdm+xZ7LUiZ0nQpCKQO6aTUCKJkS7SNBPn7iksKI3BN
 FieLAlppph1yR5w3FW/N/wLIgXbrE0DxU8PvqlZOCPE/7O2iD1q4trm/aZOQxDPa
 Ib+XVjdIvCpXygaNXrlbOgbSDqmcBNB9HpwVPwcSY2fcnroYxGuDOvo5QPv6e2se
 fgVuL3hucOkC5VOqNMX30CXYbfZawCgZJSMI14R2QQTpDVFjbQf5Cg3qKuAZ4vgn
 EOOm5mNt/wWFJZdvlyScO4AXcIQnfuYoHH/QfyrfNcSrXWX+SHhbduifQJ7pKa3z
 PU9kp3QMpHVSIU+BKcBQEdoKwUciZgweKLmverD53aMLa5xz/lZcXX7815jyZ8sW
 V87L9naqca5yeDdg3uCn4prCM0Z/H3/w6c2xDJwZt3Lky9ELNf2DY0Pf9o+Frq+6
 vrWFwJUFBSnFlzFdiswcVLi9bVWOS6ZTYWr+F49ATF5t+zuO7LnNv5DMv9TzsmJN
 oGrs2EFbHIZdPGyPFh1lfl5TNT6qs1IxaLTKdVIaSCekJmIRfxPL02Th511z71x/
 pSX3QIioFmdJa873fAKX99S0fc+/mK9fz8tnLaN5jrg40eWIe6NT0CizZVfXPUtS
 e0j7ytbqDr/MyJ418kXPdvIX/l319fV2VU2JSJoTPz7N5VB98uLh02uc1kjSorzp
 C5y2SNLIEzGlro0nl2iq1DHyuZrP/u0J/lPyPuH6UHUs1Hf49oF2p7A96VGykA29
 utbs1RxXq+XPqvf+p/P7v/TfVs+/lG9FkggAAAAASUVORK5CYII=

## osm2go 0.6.14-test-maemo2

=== debian/changelog ===
osm2go (0.6.14-test-maemo2) unstable; urgency=low

  * Fremantle autodetect/compile test

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev, liblocation-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5)
+Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|maemo-version-dev
 Standards-Version: 3.7.2
 
 Package: osm2go

=== src/trunk/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f Makefile.maemo
	#docbook-to-man debian/osm2go.sgml > osm2go.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osm2go.
	$(MAKE) -f Makefile.maemo DESTDIR=$(CURDIR)/debian/osm2go install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
